<template>
  <div>
    <div class="dashboard__header">
      <h1 class="dashboard__title">دسته بندی جدید</h1>
      <div class="dashboard__actions">
        <Button type="text" color='dark' light round size="sm" @click.native="$router.push('/dashboard/admin/categories')">
          <template #icon>
            <BackIcon />
          </template>
        </Button>
      </div>
    </div>
    <div class="dashboard__body">
      <DashboardNavigation class="dashboard__nav" active="categories" />
      <div class="dashboard__content">
        <Card title="اطلاعات دسته بندی">
          <CreateCategoryForm @create="onCreate" />
        </Card>
      </div>
    </div>
  </div>
</template>

<script>
import CreateCategoryForm from "@/components/categories-manager/CreateCategoryForm";
import BackIcon from "@/assets/svgs/back.svg";
import Button from "@/components/base/Button";
import Card from "@/components/base/Card";
import DashboardNavigation from "@/components/layout/DashboardNavigation";

export default {
  components: {
    CreateCategoryForm,
    BackIcon,
    DashboardNavigation,
    Button,
    Card
  },
  layout: "dashboard",
  head() {
    return {
      title: "دسته بندی جدید"
    }
  },
  methods: {
    onCreate() {
      this.$router.push('/dashboard/admin/categories');
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

</style>